<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net472</TargetFramework>
    <PlatformTarget>x64</PlatformTarget>
    <RootNamespace>CncModels</RootNamespace>
    <AssemblyName>CncModels</AssemblyName>
    <GenerateDocumentationFile>true</GenerateDocumentationFile>
    <!-- 不生成 AssemblyInfo，手动维护 -->
    <GenerateAssemblyInfo>false</GenerateAssemblyInfo>
  </PropertyGroup>

  <ItemGroup>
    <!-- 允许在没有 .NET Framework 目标包的机器上编译 -->
    <PackageReference Include="Microsoft.NETFramework.ReferenceAssemblies.net472" Version="1.0.3" PrivateAssets="all" />
    <!-- JSON序列化 -->
    <PackageReference Include="Newtonsoft.Json" Version="13.0.3" />
  </ItemGroup>

</Project>
